package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 巡田对象 FmsTaskpatrol
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public class FmsTaskpatrol extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡田标识 */
    private String taskpatrolId;

    /** 农事任务标识 */
    @Excel(name = "农事任务标识")
    private String taskId;

    /** 巡田方式 */
    @Excel(name = "巡田方式")
    private String taskpatrolWay;

    /** 巡田耗时 */
    @Excel(name = "巡田地点")
    private String taskpatrolAddress;

    /** 巡田地点 */
    @Excel(name = "巡田耗时")
    private BigDecimal taskpatrolHour;

    public void setTaskpatrolId(String taskpatrolId)
    {
        this.taskpatrolId = taskpatrolId;
    }

    public String getTaskpatrolId()
    {
        return taskpatrolId;
    }
    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getTaskId()
    {
        return taskId;
    }
    public void setTaskpatrolWay(String taskpatrolWay)
    {
        this.taskpatrolWay = taskpatrolWay;
    }

    public String getTaskpatrolWay()
    {
        return taskpatrolWay;
    }
    public void setTaskpatrolAddress(String taskpatrolAddress)
    {
        this.taskpatrolAddress = taskpatrolAddress;
    }

    public String getTaskpatrolAddress()
    {
        return taskpatrolAddress;
    }
    public void setTaskpatrolHour(BigDecimal taskpatrolHour)
    {
        this.taskpatrolHour = taskpatrolHour;
    }

    public BigDecimal getTaskpatrolHour()
    {
        return taskpatrolHour;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskpatrolId", getTaskpatrolId())
            .append("taskId", getTaskId())
            .append("taskpatrolWay", getTaskpatrolWay())
            .append("taskpatrolAddress", getTaskpatrolAddress())
            .append("taskAddress", getTaskpatrolHour())
            .toString();
    }
}
